IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/44
Addresses2^84
/64 networks1,048,576
- Network
3c19:c25e:b60::/44- First address
3c19:c25e:b60::- Last address
3c19:c25e:b6f:ffff:ffff:ffff:ffff:ffff- Addresses
- 19,342,813,113,834,066,795,298,816 (2^84)
- /64 networks (LANs)
- 1,048,576
- Full form
3c19:c25e:0b60:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
6.b.0.e.5.2.c.9.1.c.3.ip6.arpa
Split into smaller subnets
3c19:c25e:b60::/44 makes 4,096 subnets of /56; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 3c19:c25e:b60::/56 | 3c19:c25e:b60:ff:ffff:ffff:ffff:ffff |
| 2 | 3c19:c25e:b60:100::/56 | 3c19:c25e:b60:1ff:ffff:ffff:ffff:ffff |
| 3 | 3c19:c25e:b60:200::/56 | 3c19:c25e:b60:2ff:ffff:ffff:ffff:ffff |
| 4 | 3c19:c25e:b60:300::/56 | 3c19:c25e:b60:3ff:ffff:ffff:ffff:ffff |
| 5 | 3c19:c25e:b60:400::/56 | 3c19:c25e:b60:4ff:ffff:ffff:ffff:ffff |
| 6 | 3c19:c25e:b60:500::/56 | 3c19:c25e:b60:5ff:ffff:ffff:ffff:ffff |
| 7 | 3c19:c25e:b60:600::/56 | 3c19:c25e:b60:6ff:ffff:ffff:ffff:ffff |
| 8 | 3c19:c25e:b60:700::/56 | 3c19:c25e:b60:7ff:ffff:ffff:ffff:ffff |
| 9 | 3c19:c25e:b60:800::/56 | 3c19:c25e:b60:8ff:ffff:ffff:ffff:ffff |
| 10 | 3c19:c25e:b60:900::/56 | 3c19:c25e:b60:9ff:ffff:ffff:ffff:ffff |
| 11 | 3c19:c25e:b60:a00::/56 | 3c19:c25e:b60:aff:ffff:ffff:ffff:ffff |
| 12 | 3c19:c25e:b60:b00::/56 | 3c19:c25e:b60:bff:ffff:ffff:ffff:ffff |
| 13 | 3c19:c25e:b60:c00::/56 | 3c19:c25e:b60:cff:ffff:ffff:ffff:ffff |
| 14 | 3c19:c25e:b60:d00::/56 | 3c19:c25e:b60:dff:ffff:ffff:ffff:ffff |
| 15 | 3c19:c25e:b60:e00::/56 | 3c19:c25e:b60:eff:ffff:ffff:ffff:ffff |
| 16 | 3c19:c25e:b60:f00::/56 | 3c19:c25e:b60:fff:ffff:ffff:ffff:ffff |
| 17 | 3c19:c25e:b60:1000::/56 | 3c19:c25e:b60:10ff:ffff:ffff:ffff:ffff |
| 18 | 3c19:c25e:b60:1100::/56 | 3c19:c25e:b60:11ff:ffff:ffff:ffff:ffff |
| 19 | 3c19:c25e:b60:1200::/56 | 3c19:c25e:b60:12ff:ffff:ffff:ffff:ffff |
| 20 | 3c19:c25e:b60:1300::/56 | 3c19:c25e:b60:13ff:ffff:ffff:ffff:ffff |
| 21 | 3c19:c25e:b60:1400::/56 | 3c19:c25e:b60:14ff:ffff:ffff:ffff:ffff |
| 22 | 3c19:c25e:b60:1500::/56 | 3c19:c25e:b60:15ff:ffff:ffff:ffff:ffff |
| 23 | 3c19:c25e:b60:1600::/56 | 3c19:c25e:b60:16ff:ffff:ffff:ffff:ffff |
| 24 | 3c19:c25e:b60:1700::/56 | 3c19:c25e:b60:17ff:ffff:ffff:ffff:ffff |
| 25 | 3c19:c25e:b60:1800::/56 | 3c19:c25e:b60:18ff:ffff:ffff:ffff:ffff |
| 26 | 3c19:c25e:b60:1900::/56 | 3c19:c25e:b60:19ff:ffff:ffff:ffff:ffff |
| 27 | 3c19:c25e:b60:1a00::/56 | 3c19:c25e:b60:1aff:ffff:ffff:ffff:ffff |
| 28 | 3c19:c25e:b60:1b00::/56 | 3c19:c25e:b60:1bff:ffff:ffff:ffff:ffff |
| 29 | 3c19:c25e:b60:1c00::/56 | 3c19:c25e:b60:1cff:ffff:ffff:ffff:ffff |
| 30 | 3c19:c25e:b60:1d00::/56 | 3c19:c25e:b60:1dff:ffff:ffff:ffff:ffff |
| 31 | 3c19:c25e:b60:1e00::/56 | 3c19:c25e:b60:1eff:ffff:ffff:ffff:ffff |
| 32 | 3c19:c25e:b60:1f00::/56 | 3c19:c25e:b60:1fff:ffff:ffff:ffff:ffff |
| 33 | 3c19:c25e:b60:2000::/56 | 3c19:c25e:b60:20ff:ffff:ffff:ffff:ffff |
| 34 | 3c19:c25e:b60:2100::/56 | 3c19:c25e:b60:21ff:ffff:ffff:ffff:ffff |
| 35 | 3c19:c25e:b60:2200::/56 | 3c19:c25e:b60:22ff:ffff:ffff:ffff:ffff |
| 36 | 3c19:c25e:b60:2300::/56 | 3c19:c25e:b60:23ff:ffff:ffff:ffff:ffff |
| 37 | 3c19:c25e:b60:2400::/56 | 3c19:c25e:b60:24ff:ffff:ffff:ffff:ffff |
| 38 | 3c19:c25e:b60:2500::/56 | 3c19:c25e:b60:25ff:ffff:ffff:ffff:ffff |
| 39 | 3c19:c25e:b60:2600::/56 | 3c19:c25e:b60:26ff:ffff:ffff:ffff:ffff |
| 40 | 3c19:c25e:b60:2700::/56 | 3c19:c25e:b60:27ff:ffff:ffff:ffff:ffff |
| 41 | 3c19:c25e:b60:2800::/56 | 3c19:c25e:b60:28ff:ffff:ffff:ffff:ffff |
| 42 | 3c19:c25e:b60:2900::/56 | 3c19:c25e:b60:29ff:ffff:ffff:ffff:ffff |
| 43 | 3c19:c25e:b60:2a00::/56 | 3c19:c25e:b60:2aff:ffff:ffff:ffff:ffff |
| 44 | 3c19:c25e:b60:2b00::/56 | 3c19:c25e:b60:2bff:ffff:ffff:ffff:ffff |
| 45 | 3c19:c25e:b60:2c00::/56 | 3c19:c25e:b60:2cff:ffff:ffff:ffff:ffff |
| 46 | 3c19:c25e:b60:2d00::/56 | 3c19:c25e:b60:2dff:ffff:ffff:ffff:ffff |
| 47 | 3c19:c25e:b60:2e00::/56 | 3c19:c25e:b60:2eff:ffff:ffff:ffff:ffff |
| 48 | 3c19:c25e:b60:2f00::/56 | 3c19:c25e:b60:2fff:ffff:ffff:ffff:ffff |
| 49 | 3c19:c25e:b60:3000::/56 | 3c19:c25e:b60:30ff:ffff:ffff:ffff:ffff |
| 50 | 3c19:c25e:b60:3100::/56 | 3c19:c25e:b60:31ff:ffff:ffff:ffff:ffff |
| 51 | 3c19:c25e:b60:3200::/56 | 3c19:c25e:b60:32ff:ffff:ffff:ffff:ffff |
| 52 | 3c19:c25e:b60:3300::/56 | 3c19:c25e:b60:33ff:ffff:ffff:ffff:ffff |
| 53 | 3c19:c25e:b60:3400::/56 | 3c19:c25e:b60:34ff:ffff:ffff:ffff:ffff |
| 54 | 3c19:c25e:b60:3500::/56 | 3c19:c25e:b60:35ff:ffff:ffff:ffff:ffff |
| 55 | 3c19:c25e:b60:3600::/56 | 3c19:c25e:b60:36ff:ffff:ffff:ffff:ffff |
| 56 | 3c19:c25e:b60:3700::/56 | 3c19:c25e:b60:37ff:ffff:ffff:ffff:ffff |
| 57 | 3c19:c25e:b60:3800::/56 | 3c19:c25e:b60:38ff:ffff:ffff:ffff:ffff |
| 58 | 3c19:c25e:b60:3900::/56 | 3c19:c25e:b60:39ff:ffff:ffff:ffff:ffff |
| 59 | 3c19:c25e:b60:3a00::/56 | 3c19:c25e:b60:3aff:ffff:ffff:ffff:ffff |
| 60 | 3c19:c25e:b60:3b00::/56 | 3c19:c25e:b60:3bff:ffff:ffff:ffff:ffff |
| 61 | 3c19:c25e:b60:3c00::/56 | 3c19:c25e:b60:3cff:ffff:ffff:ffff:ffff |
| 62 | 3c19:c25e:b60:3d00::/56 | 3c19:c25e:b60:3dff:ffff:ffff:ffff:ffff |
| 63 | 3c19:c25e:b60:3e00::/56 | 3c19:c25e:b60:3eff:ffff:ffff:ffff:ffff |
| 64 | 3c19:c25e:b60:3f00::/56 | 3c19:c25e:b60:3fff:ffff:ffff:ffff:ffff |
| 65 | 3c19:c25e:b60:4000::/56 | 3c19:c25e:b60:40ff:ffff:ffff:ffff:ffff |
| 66 | 3c19:c25e:b60:4100::/56 | 3c19:c25e:b60:41ff:ffff:ffff:ffff:ffff |
| 67 | 3c19:c25e:b60:4200::/56 | 3c19:c25e:b60:42ff:ffff:ffff:ffff:ffff |
| 68 | 3c19:c25e:b60:4300::/56 | 3c19:c25e:b60:43ff:ffff:ffff:ffff:ffff |
| 69 | 3c19:c25e:b60:4400::/56 | 3c19:c25e:b60:44ff:ffff:ffff:ffff:ffff |
| 70 | 3c19:c25e:b60:4500::/56 | 3c19:c25e:b60:45ff:ffff:ffff:ffff:ffff |
| 71 | 3c19:c25e:b60:4600::/56 | 3c19:c25e:b60:46ff:ffff:ffff:ffff:ffff |
| 72 | 3c19:c25e:b60:4700::/56 | 3c19:c25e:b60:47ff:ffff:ffff:ffff:ffff |
| 73 | 3c19:c25e:b60:4800::/56 | 3c19:c25e:b60:48ff:ffff:ffff:ffff:ffff |
| 74 | 3c19:c25e:b60:4900::/56 | 3c19:c25e:b60:49ff:ffff:ffff:ffff:ffff |
| 75 | 3c19:c25e:b60:4a00::/56 | 3c19:c25e:b60:4aff:ffff:ffff:ffff:ffff |
| 76 | 3c19:c25e:b60:4b00::/56 | 3c19:c25e:b60:4bff:ffff:ffff:ffff:ffff |
| 77 | 3c19:c25e:b60:4c00::/56 | 3c19:c25e:b60:4cff:ffff:ffff:ffff:ffff |
| 78 | 3c19:c25e:b60:4d00::/56 | 3c19:c25e:b60:4dff:ffff:ffff:ffff:ffff |
| 79 | 3c19:c25e:b60:4e00::/56 | 3c19:c25e:b60:4eff:ffff:ffff:ffff:ffff |
| 80 | 3c19:c25e:b60:4f00::/56 | 3c19:c25e:b60:4fff:ffff:ffff:ffff:ffff |
| 81 | 3c19:c25e:b60:5000::/56 | 3c19:c25e:b60:50ff:ffff:ffff:ffff:ffff |
| 82 | 3c19:c25e:b60:5100::/56 | 3c19:c25e:b60:51ff:ffff:ffff:ffff:ffff |
| 83 | 3c19:c25e:b60:5200::/56 | 3c19:c25e:b60:52ff:ffff:ffff:ffff:ffff |
| 84 | 3c19:c25e:b60:5300::/56 | 3c19:c25e:b60:53ff:ffff:ffff:ffff:ffff |
| 85 | 3c19:c25e:b60:5400::/56 | 3c19:c25e:b60:54ff:ffff:ffff:ffff:ffff |
| 86 | 3c19:c25e:b60:5500::/56 | 3c19:c25e:b60:55ff:ffff:ffff:ffff:ffff |
| 87 | 3c19:c25e:b60:5600::/56 | 3c19:c25e:b60:56ff:ffff:ffff:ffff:ffff |
| 88 | 3c19:c25e:b60:5700::/56 | 3c19:c25e:b60:57ff:ffff:ffff:ffff:ffff |
| 89 | 3c19:c25e:b60:5800::/56 | 3c19:c25e:b60:58ff:ffff:ffff:ffff:ffff |
| 90 | 3c19:c25e:b60:5900::/56 | 3c19:c25e:b60:59ff:ffff:ffff:ffff:ffff |
| 91 | 3c19:c25e:b60:5a00::/56 | 3c19:c25e:b60:5aff:ffff:ffff:ffff:ffff |
| 92 | 3c19:c25e:b60:5b00::/56 | 3c19:c25e:b60:5bff:ffff:ffff:ffff:ffff |
| 93 | 3c19:c25e:b60:5c00::/56 | 3c19:c25e:b60:5cff:ffff:ffff:ffff:ffff |
| 94 | 3c19:c25e:b60:5d00::/56 | 3c19:c25e:b60:5dff:ffff:ffff:ffff:ffff |
| 95 | 3c19:c25e:b60:5e00::/56 | 3c19:c25e:b60:5eff:ffff:ffff:ffff:ffff |
| 96 | 3c19:c25e:b60:5f00::/56 | 3c19:c25e:b60:5fff:ffff:ffff:ffff:ffff |
| 97 | 3c19:c25e:b60:6000::/56 | 3c19:c25e:b60:60ff:ffff:ffff:ffff:ffff |
| 98 | 3c19:c25e:b60:6100::/56 | 3c19:c25e:b60:61ff:ffff:ffff:ffff:ffff |
| 99 | 3c19:c25e:b60:6200::/56 | 3c19:c25e:b60:62ff:ffff:ffff:ffff:ffff |
| 100 | 3c19:c25e:b60:6300::/56 | 3c19:c25e:b60:63ff:ffff:ffff:ffff:ffff |
| 101 | 3c19:c25e:b60:6400::/56 | 3c19:c25e:b60:64ff:ffff:ffff:ffff:ffff |
| 102 | 3c19:c25e:b60:6500::/56 | 3c19:c25e:b60:65ff:ffff:ffff:ffff:ffff |
| 103 | 3c19:c25e:b60:6600::/56 | 3c19:c25e:b60:66ff:ffff:ffff:ffff:ffff |
| 104 | 3c19:c25e:b60:6700::/56 | 3c19:c25e:b60:67ff:ffff:ffff:ffff:ffff |
| 105 | 3c19:c25e:b60:6800::/56 | 3c19:c25e:b60:68ff:ffff:ffff:ffff:ffff |
| 106 | 3c19:c25e:b60:6900::/56 | 3c19:c25e:b60:69ff:ffff:ffff:ffff:ffff |
| 107 | 3c19:c25e:b60:6a00::/56 | 3c19:c25e:b60:6aff:ffff:ffff:ffff:ffff |
| 108 | 3c19:c25e:b60:6b00::/56 | 3c19:c25e:b60:6bff:ffff:ffff:ffff:ffff |
| 109 | 3c19:c25e:b60:6c00::/56 | 3c19:c25e:b60:6cff:ffff:ffff:ffff:ffff |
| 110 | 3c19:c25e:b60:6d00::/56 | 3c19:c25e:b60:6dff:ffff:ffff:ffff:ffff |
| 111 | 3c19:c25e:b60:6e00::/56 | 3c19:c25e:b60:6eff:ffff:ffff:ffff:ffff |
| 112 | 3c19:c25e:b60:6f00::/56 | 3c19:c25e:b60:6fff:ffff:ffff:ffff:ffff |
| 113 | 3c19:c25e:b60:7000::/56 | 3c19:c25e:b60:70ff:ffff:ffff:ffff:ffff |
| 114 | 3c19:c25e:b60:7100::/56 | 3c19:c25e:b60:71ff:ffff:ffff:ffff:ffff |
| 115 | 3c19:c25e:b60:7200::/56 | 3c19:c25e:b60:72ff:ffff:ffff:ffff:ffff |
| 116 | 3c19:c25e:b60:7300::/56 | 3c19:c25e:b60:73ff:ffff:ffff:ffff:ffff |
| 117 | 3c19:c25e:b60:7400::/56 | 3c19:c25e:b60:74ff:ffff:ffff:ffff:ffff |
| 118 | 3c19:c25e:b60:7500::/56 | 3c19:c25e:b60:75ff:ffff:ffff:ffff:ffff |
| 119 | 3c19:c25e:b60:7600::/56 | 3c19:c25e:b60:76ff:ffff:ffff:ffff:ffff |
| 120 | 3c19:c25e:b60:7700::/56 | 3c19:c25e:b60:77ff:ffff:ffff:ffff:ffff |
| 121 | 3c19:c25e:b60:7800::/56 | 3c19:c25e:b60:78ff:ffff:ffff:ffff:ffff |
| 122 | 3c19:c25e:b60:7900::/56 | 3c19:c25e:b60:79ff:ffff:ffff:ffff:ffff |
| 123 | 3c19:c25e:b60:7a00::/56 | 3c19:c25e:b60:7aff:ffff:ffff:ffff:ffff |
| 124 | 3c19:c25e:b60:7b00::/56 | 3c19:c25e:b60:7bff:ffff:ffff:ffff:ffff |
| 125 | 3c19:c25e:b60:7c00::/56 | 3c19:c25e:b60:7cff:ffff:ffff:ffff:ffff |
| 126 | 3c19:c25e:b60:7d00::/56 | 3c19:c25e:b60:7dff:ffff:ffff:ffff:ffff |
| 127 | 3c19:c25e:b60:7e00::/56 | 3c19:c25e:b60:7eff:ffff:ffff:ffff:ffff |
| 128 | 3c19:c25e:b60:7f00::/56 | 3c19:c25e:b60:7fff:ffff:ffff:ffff:ffff |
| 129 | 3c19:c25e:b60:8000::/56 | 3c19:c25e:b60:80ff:ffff:ffff:ffff:ffff |
| 130 | 3c19:c25e:b60:8100::/56 | 3c19:c25e:b60:81ff:ffff:ffff:ffff:ffff |
| 131 | 3c19:c25e:b60:8200::/56 | 3c19:c25e:b60:82ff:ffff:ffff:ffff:ffff |
| 132 | 3c19:c25e:b60:8300::/56 | 3c19:c25e:b60:83ff:ffff:ffff:ffff:ffff |
| 133 | 3c19:c25e:b60:8400::/56 | 3c19:c25e:b60:84ff:ffff:ffff:ffff:ffff |
| 134 | 3c19:c25e:b60:8500::/56 | 3c19:c25e:b60:85ff:ffff:ffff:ffff:ffff |
| 135 | 3c19:c25e:b60:8600::/56 | 3c19:c25e:b60:86ff:ffff:ffff:ffff:ffff |
| 136 | 3c19:c25e:b60:8700::/56 | 3c19:c25e:b60:87ff:ffff:ffff:ffff:ffff |
| 137 | 3c19:c25e:b60:8800::/56 | 3c19:c25e:b60:88ff:ffff:ffff:ffff:ffff |
| 138 | 3c19:c25e:b60:8900::/56 | 3c19:c25e:b60:89ff:ffff:ffff:ffff:ffff |
| 139 | 3c19:c25e:b60:8a00::/56 | 3c19:c25e:b60:8aff:ffff:ffff:ffff:ffff |
| 140 | 3c19:c25e:b60:8b00::/56 | 3c19:c25e:b60:8bff:ffff:ffff:ffff:ffff |
| 141 | 3c19:c25e:b60:8c00::/56 | 3c19:c25e:b60:8cff:ffff:ffff:ffff:ffff |
| 142 | 3c19:c25e:b60:8d00::/56 | 3c19:c25e:b60:8dff:ffff:ffff:ffff:ffff |
| 143 | 3c19:c25e:b60:8e00::/56 | 3c19:c25e:b60:8eff:ffff:ffff:ffff:ffff |
| 144 | 3c19:c25e:b60:8f00::/56 | 3c19:c25e:b60:8fff:ffff:ffff:ffff:ffff |
| 145 | 3c19:c25e:b60:9000::/56 | 3c19:c25e:b60:90ff:ffff:ffff:ffff:ffff |
| 146 | 3c19:c25e:b60:9100::/56 | 3c19:c25e:b60:91ff:ffff:ffff:ffff:ffff |
| 147 | 3c19:c25e:b60:9200::/56 | 3c19:c25e:b60:92ff:ffff:ffff:ffff:ffff |
| 148 | 3c19:c25e:b60:9300::/56 | 3c19:c25e:b60:93ff:ffff:ffff:ffff:ffff |
| 149 | 3c19:c25e:b60:9400::/56 | 3c19:c25e:b60:94ff:ffff:ffff:ffff:ffff |
| 150 | 3c19:c25e:b60:9500::/56 | 3c19:c25e:b60:95ff:ffff:ffff:ffff:ffff |
| 151 | 3c19:c25e:b60:9600::/56 | 3c19:c25e:b60:96ff:ffff:ffff:ffff:ffff |
| 152 | 3c19:c25e:b60:9700::/56 | 3c19:c25e:b60:97ff:ffff:ffff:ffff:ffff |
| 153 | 3c19:c25e:b60:9800::/56 | 3c19:c25e:b60:98ff:ffff:ffff:ffff:ffff |
| 154 | 3c19:c25e:b60:9900::/56 | 3c19:c25e:b60:99ff:ffff:ffff:ffff:ffff |
| 155 | 3c19:c25e:b60:9a00::/56 | 3c19:c25e:b60:9aff:ffff:ffff:ffff:ffff |
| 156 | 3c19:c25e:b60:9b00::/56 | 3c19:c25e:b60:9bff:ffff:ffff:ffff:ffff |
| 157 | 3c19:c25e:b60:9c00::/56 | 3c19:c25e:b60:9cff:ffff:ffff:ffff:ffff |
| 158 | 3c19:c25e:b60:9d00::/56 | 3c19:c25e:b60:9dff:ffff:ffff:ffff:ffff |
| 159 | 3c19:c25e:b60:9e00::/56 | 3c19:c25e:b60:9eff:ffff:ffff:ffff:ffff |
| 160 | 3c19:c25e:b60:9f00::/56 | 3c19:c25e:b60:9fff:ffff:ffff:ffff:ffff |
| 161 | 3c19:c25e:b60:a000::/56 | 3c19:c25e:b60:a0ff:ffff:ffff:ffff:ffff |
| 162 | 3c19:c25e:b60:a100::/56 | 3c19:c25e:b60:a1ff:ffff:ffff:ffff:ffff |
| 163 | 3c19:c25e:b60:a200::/56 | 3c19:c25e:b60:a2ff:ffff:ffff:ffff:ffff |
| 164 | 3c19:c25e:b60:a300::/56 | 3c19:c25e:b60:a3ff:ffff:ffff:ffff:ffff |
| 165 | 3c19:c25e:b60:a400::/56 | 3c19:c25e:b60:a4ff:ffff:ffff:ffff:ffff |
| 166 | 3c19:c25e:b60:a500::/56 | 3c19:c25e:b60:a5ff:ffff:ffff:ffff:ffff |
| 167 | 3c19:c25e:b60:a600::/56 | 3c19:c25e:b60:a6ff:ffff:ffff:ffff:ffff |
| 168 | 3c19:c25e:b60:a700::/56 | 3c19:c25e:b60:a7ff:ffff:ffff:ffff:ffff |
| 169 | 3c19:c25e:b60:a800::/56 | 3c19:c25e:b60:a8ff:ffff:ffff:ffff:ffff |
| 170 | 3c19:c25e:b60:a900::/56 | 3c19:c25e:b60:a9ff:ffff:ffff:ffff:ffff |
| 171 | 3c19:c25e:b60:aa00::/56 | 3c19:c25e:b60:aaff:ffff:ffff:ffff:ffff |
| 172 | 3c19:c25e:b60:ab00::/56 | 3c19:c25e:b60:abff:ffff:ffff:ffff:ffff |
| 173 | 3c19:c25e:b60:ac00::/56 | 3c19:c25e:b60:acff:ffff:ffff:ffff:ffff |
| 174 | 3c19:c25e:b60:ad00::/56 | 3c19:c25e:b60:adff:ffff:ffff:ffff:ffff |
| 175 | 3c19:c25e:b60:ae00::/56 | 3c19:c25e:b60:aeff:ffff:ffff:ffff:ffff |
| 176 | 3c19:c25e:b60:af00::/56 | 3c19:c25e:b60:afff:ffff:ffff:ffff:ffff |
| 177 | 3c19:c25e:b60:b000::/56 | 3c19:c25e:b60:b0ff:ffff:ffff:ffff:ffff |
| 178 | 3c19:c25e:b60:b100::/56 | 3c19:c25e:b60:b1ff:ffff:ffff:ffff:ffff |
| 179 | 3c19:c25e:b60:b200::/56 | 3c19:c25e:b60:b2ff:ffff:ffff:ffff:ffff |
| 180 | 3c19:c25e:b60:b300::/56 | 3c19:c25e:b60:b3ff:ffff:ffff:ffff:ffff |
| 181 | 3c19:c25e:b60:b400::/56 | 3c19:c25e:b60:b4ff:ffff:ffff:ffff:ffff |
| 182 | 3c19:c25e:b60:b500::/56 | 3c19:c25e:b60:b5ff:ffff:ffff:ffff:ffff |
| 183 | 3c19:c25e:b60:b600::/56 | 3c19:c25e:b60:b6ff:ffff:ffff:ffff:ffff |
| 184 | 3c19:c25e:b60:b700::/56 | 3c19:c25e:b60:b7ff:ffff:ffff:ffff:ffff |
| 185 | 3c19:c25e:b60:b800::/56 | 3c19:c25e:b60:b8ff:ffff:ffff:ffff:ffff |
| 186 | 3c19:c25e:b60:b900::/56 | 3c19:c25e:b60:b9ff:ffff:ffff:ffff:ffff |
| 187 | 3c19:c25e:b60:ba00::/56 | 3c19:c25e:b60:baff:ffff:ffff:ffff:ffff |
| 188 | 3c19:c25e:b60:bb00::/56 | 3c19:c25e:b60:bbff:ffff:ffff:ffff:ffff |
| 189 | 3c19:c25e:b60:bc00::/56 | 3c19:c25e:b60:bcff:ffff:ffff:ffff:ffff |
| 190 | 3c19:c25e:b60:bd00::/56 | 3c19:c25e:b60:bdff:ffff:ffff:ffff:ffff |
| 191 | 3c19:c25e:b60:be00::/56 | 3c19:c25e:b60:beff:ffff:ffff:ffff:ffff |
| 192 | 3c19:c25e:b60:bf00::/56 | 3c19:c25e:b60:bfff:ffff:ffff:ffff:ffff |
| 193 | 3c19:c25e:b60:c000::/56 | 3c19:c25e:b60:c0ff:ffff:ffff:ffff:ffff |
| 194 | 3c19:c25e:b60:c100::/56 | 3c19:c25e:b60:c1ff:ffff:ffff:ffff:ffff |
| 195 | 3c19:c25e:b60:c200::/56 | 3c19:c25e:b60:c2ff:ffff:ffff:ffff:ffff |
| 196 | 3c19:c25e:b60:c300::/56 | 3c19:c25e:b60:c3ff:ffff:ffff:ffff:ffff |
| 197 | 3c19:c25e:b60:c400::/56 | 3c19:c25e:b60:c4ff:ffff:ffff:ffff:ffff |
| 198 | 3c19:c25e:b60:c500::/56 | 3c19:c25e:b60:c5ff:ffff:ffff:ffff:ffff |
| 199 | 3c19:c25e:b60:c600::/56 | 3c19:c25e:b60:c6ff:ffff:ffff:ffff:ffff |
| 200 | 3c19:c25e:b60:c700::/56 | 3c19:c25e:b60:c7ff:ffff:ffff:ffff:ffff |
| 201 | 3c19:c25e:b60:c800::/56 | 3c19:c25e:b60:c8ff:ffff:ffff:ffff:ffff |
| 202 | 3c19:c25e:b60:c900::/56 | 3c19:c25e:b60:c9ff:ffff:ffff:ffff:ffff |
| 203 | 3c19:c25e:b60:ca00::/56 | 3c19:c25e:b60:caff:ffff:ffff:ffff:ffff |
| 204 | 3c19:c25e:b60:cb00::/56 | 3c19:c25e:b60:cbff:ffff:ffff:ffff:ffff |
| 205 | 3c19:c25e:b60:cc00::/56 | 3c19:c25e:b60:ccff:ffff:ffff:ffff:ffff |
| 206 | 3c19:c25e:b60:cd00::/56 | 3c19:c25e:b60:cdff:ffff:ffff:ffff:ffff |
| 207 | 3c19:c25e:b60:ce00::/56 | 3c19:c25e:b60:ceff:ffff:ffff:ffff:ffff |
| 208 | 3c19:c25e:b60:cf00::/56 | 3c19:c25e:b60:cfff:ffff:ffff:ffff:ffff |
| 209 | 3c19:c25e:b60:d000::/56 | 3c19:c25e:b60:d0ff:ffff:ffff:ffff:ffff |
| 210 | 3c19:c25e:b60:d100::/56 | 3c19:c25e:b60:d1ff:ffff:ffff:ffff:ffff |
| 211 | 3c19:c25e:b60:d200::/56 | 3c19:c25e:b60:d2ff:ffff:ffff:ffff:ffff |
| 212 | 3c19:c25e:b60:d300::/56 | 3c19:c25e:b60:d3ff:ffff:ffff:ffff:ffff |
| 213 | 3c19:c25e:b60:d400::/56 | 3c19:c25e:b60:d4ff:ffff:ffff:ffff:ffff |
| 214 | 3c19:c25e:b60:d500::/56 | 3c19:c25e:b60:d5ff:ffff:ffff:ffff:ffff |
| 215 | 3c19:c25e:b60:d600::/56 | 3c19:c25e:b60:d6ff:ffff:ffff:ffff:ffff |
| 216 | 3c19:c25e:b60:d700::/56 | 3c19:c25e:b60:d7ff:ffff:ffff:ffff:ffff |
| 217 | 3c19:c25e:b60:d800::/56 | 3c19:c25e:b60:d8ff:ffff:ffff:ffff:ffff |
| 218 | 3c19:c25e:b60:d900::/56 | 3c19:c25e:b60:d9ff:ffff:ffff:ffff:ffff |
| 219 | 3c19:c25e:b60:da00::/56 | 3c19:c25e:b60:daff:ffff:ffff:ffff:ffff |
| 220 | 3c19:c25e:b60:db00::/56 | 3c19:c25e:b60:dbff:ffff:ffff:ffff:ffff |
| 221 | 3c19:c25e:b60:dc00::/56 | 3c19:c25e:b60:dcff:ffff:ffff:ffff:ffff |
| 222 | 3c19:c25e:b60:dd00::/56 | 3c19:c25e:b60:ddff:ffff:ffff:ffff:ffff |
| 223 | 3c19:c25e:b60:de00::/56 | 3c19:c25e:b60:deff:ffff:ffff:ffff:ffff |
| 224 | 3c19:c25e:b60:df00::/56 | 3c19:c25e:b60:dfff:ffff:ffff:ffff:ffff |
| 225 | 3c19:c25e:b60:e000::/56 | 3c19:c25e:b60:e0ff:ffff:ffff:ffff:ffff |
| 226 | 3c19:c25e:b60:e100::/56 | 3c19:c25e:b60:e1ff:ffff:ffff:ffff:ffff |
| 227 | 3c19:c25e:b60:e200::/56 | 3c19:c25e:b60:e2ff:ffff:ffff:ffff:ffff |
| 228 | 3c19:c25e:b60:e300::/56 | 3c19:c25e:b60:e3ff:ffff:ffff:ffff:ffff |
| 229 | 3c19:c25e:b60:e400::/56 | 3c19:c25e:b60:e4ff:ffff:ffff:ffff:ffff |
| 230 | 3c19:c25e:b60:e500::/56 | 3c19:c25e:b60:e5ff:ffff:ffff:ffff:ffff |
| 231 | 3c19:c25e:b60:e600::/56 | 3c19:c25e:b60:e6ff:ffff:ffff:ffff:ffff |
| 232 | 3c19:c25e:b60:e700::/56 | 3c19:c25e:b60:e7ff:ffff:ffff:ffff:ffff |
| 233 | 3c19:c25e:b60:e800::/56 | 3c19:c25e:b60:e8ff:ffff:ffff:ffff:ffff |
| 234 | 3c19:c25e:b60:e900::/56 | 3c19:c25e:b60:e9ff:ffff:ffff:ffff:ffff |
| 235 | 3c19:c25e:b60:ea00::/56 | 3c19:c25e:b60:eaff:ffff:ffff:ffff:ffff |
| 236 | 3c19:c25e:b60:eb00::/56 | 3c19:c25e:b60:ebff:ffff:ffff:ffff:ffff |
| 237 | 3c19:c25e:b60:ec00::/56 | 3c19:c25e:b60:ecff:ffff:ffff:ffff:ffff |
| 238 | 3c19:c25e:b60:ed00::/56 | 3c19:c25e:b60:edff:ffff:ffff:ffff:ffff |
| 239 | 3c19:c25e:b60:ee00::/56 | 3c19:c25e:b60:eeff:ffff:ffff:ffff:ffff |
| 240 | 3c19:c25e:b60:ef00::/56 | 3c19:c25e:b60:efff:ffff:ffff:ffff:ffff |
| 241 | 3c19:c25e:b60:f000::/56 | 3c19:c25e:b60:f0ff:ffff:ffff:ffff:ffff |
| 242 | 3c19:c25e:b60:f100::/56 | 3c19:c25e:b60:f1ff:ffff:ffff:ffff:ffff |
| 243 | 3c19:c25e:b60:f200::/56 | 3c19:c25e:b60:f2ff:ffff:ffff:ffff:ffff |
| 244 | 3c19:c25e:b60:f300::/56 | 3c19:c25e:b60:f3ff:ffff:ffff:ffff:ffff |
| 245 | 3c19:c25e:b60:f400::/56 | 3c19:c25e:b60:f4ff:ffff:ffff:ffff:ffff |
| 246 | 3c19:c25e:b60:f500::/56 | 3c19:c25e:b60:f5ff:ffff:ffff:ffff:ffff |
| 247 | 3c19:c25e:b60:f600::/56 | 3c19:c25e:b60:f6ff:ffff:ffff:ffff:ffff |
| 248 | 3c19:c25e:b60:f700::/56 | 3c19:c25e:b60:f7ff:ffff:ffff:ffff:ffff |
| 249 | 3c19:c25e:b60:f800::/56 | 3c19:c25e:b60:f8ff:ffff:ffff:ffff:ffff |
| 250 | 3c19:c25e:b60:f900::/56 | 3c19:c25e:b60:f9ff:ffff:ffff:ffff:ffff |
| 251 | 3c19:c25e:b60:fa00::/56 | 3c19:c25e:b60:faff:ffff:ffff:ffff:ffff |
| 252 | 3c19:c25e:b60:fb00::/56 | 3c19:c25e:b60:fbff:ffff:ffff:ffff:ffff |
| 253 | 3c19:c25e:b60:fc00::/56 | 3c19:c25e:b60:fcff:ffff:ffff:ffff:ffff |
| 254 | 3c19:c25e:b60:fd00::/56 | 3c19:c25e:b60:fdff:ffff:ffff:ffff:ffff |
| 255 | 3c19:c25e:b60:fe00::/56 | 3c19:c25e:b60:feff:ffff:ffff:ffff:ffff |
| 256 | 3c19:c25e:b60:ff00::/56 | 3c19:c25e:b60:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |